# Svelte Component

## Content

This page provides a detailed overview of ActiveReportsJS Report Viewer Wrapper for Svelte. You can check the corresponding [Get Started tutorial](/activereportsjs/docs/v6.2/GettingStarted/QuickStart/svelte) for a concise guide for integrating this wrapper to a Svelte application.

### ActiveReportsJS Svelte NPM package

We provide the library that contains the ActiveReportsJS Report Viewer Wrapper for Svelte via the [@mescius/activereportsjs-svelte](https://www.npmjs.com/package/@mescius/activereportsjs-svelte) npm package, which depends on the main [@mescius/activereportsjs](https://www.npmjs.com/package/@mescius/activereportsjs) package that contains the core functionality.

### ActiveReportsJS Svelte Viewer component

ActiveReportsJS Svelte Viewer component can be imported into a Svelte component and included in the markdown, for example:

```javascript
<script lang="ts">
    import {Viewer} from "@mescius/activereportsjs-svelte";
</script>

<div id="viewer-host">
    <Viewer report = {{ Uri: 'report.rdlx-json' }}></Viewer>
</div>
```

The viewer component accepts the following properties.

| Property | Type | Default Value | Description |
| -------- | ---- | ------------- | ----------- |
| availableExports | Array of strings |  | sets the list of exports that should be available in the viewer UI. See [Exports](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export#enable-report-viewer-export-sidebar-in-react-applications) page for more information |
| mouseMode | 'Pan' \| 'Selection' | 'Pan' | sets the mouse mode of Viewer component. |
| renderMode | 'Galley' \| 'Paginated' | 'Paginated' | sets the render mode of Viewer component |
| viewMode | 'Continuous' \| 'SinglePage' | 'Continuous' | sets the view mode of Viewer component |
| zoom | 'FitWidth' \| 'FitPage' \| number | 100 | sets the zoom mode of Viewer component |
| fullscreen | boolean | false | indicates whether the Viewer component should display the content in Full-Screen mode |
| toolbarVisible | boolean | true | indicates whether the toolbar of Viewer component is visible or not |
| sidebarVisible | boolean | true | indicates whether the sidebar of Viewer component is visible or not |
| panelsLayout | 'sidebar' \| 'toolbar' | 'toolbar' | indicates the location of Search and Export functions within the UI of Viewer component |
| parameterPanelLocation | 'default' \| 'top' \| 'bottom' | 'default' | indicates the location of the Parameters bar within the UI of Viewer component |
| toolbarLayout | Object |  | sets the list of available toolbar items. See [Customization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization) page for more information |
| language | string |  | sets the language of the Viewer's UI. See [Localization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Localization) page for more information |
| exportsSettings | object |  | sets the export settings. Visit the [Export Settings](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export/Export-Settings) page for more information. |
| report | Object |  | sets the report to load in the Viewer component. See [Loading Report](/activereportsjs/docs/v6.2/) section for more information |
| reportLoaded | (args: [ReportLoadEventArgs](https://developer.mescius.com/activereportsjs/api/modules/ReportViewer#reportloadeventargs))=>void |  | sets the handler for the event that occurs when a report is loaded but before rendering started |
| documentLoaded | (args: [DocumentLoadEventArgs](https://developer.mescius.com/activereportsjs/api/modules/ReportViewer#documentloadeventargs)=>void |  | sets the handler for the event that occurs when a report rendering is completed |
| errorHandler | ()=> void |  | sets the handler for the event that occurs if report rendering causes an error |
| showParametersOnOpen | 'auto'\|'always' | 'auto' | the `auto` value indicates that the `Parameters Panel` should open automatically upon report loading, even if the report's parameters have default values. |
| animations | AnimationSettings |  | Specifies the animation configuration | 
| themeConfig | UIThemeConfig |  | Specifies the theme configuration | 
| theme | ColorTheme or built-in theme ID |  | Specifies the active theme | 

You can bind these input properties to dynamic values to completely overwrite the viewer component's default UI, check [Customization page](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization) for more information.
Furthermore, the parent component can access [methods and properties](https://developer.mescius.com/activereportsjs/api/modules/ReportViewer) of the Viewer class by binding a variable to the Viewer node and using the `Viewer()` method, for example:

```javascript
<script lang="ts">
    import {Viewer} from "@mescius/activereportsjs-svelte";
    import { onMount } from 'svelte';
    let viewerInst:Viewer;
    onMount(() => {
        viewerInst.Viewer().toggleFullScreen();
    });        
</script>

<div id="viewer-host">
    <Viewer report = {{ Uri: 'report.rdlx-json' }} bind:this={viewerInst}></Viewer>
</div>
```

### Related links

* [Loading reports](/activereportsjs/docs/v6.2/)
* [Customization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization)
* [Localization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Localization)
* [Print](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Print)
* [Export](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export)
* [Themes](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Themes)

# ActiveReportsJS Report Viewer Wrapper for Vue

Learn how to use ActiveReportsJS Report Viewer wrapper for Vue

## Content

This page provides a detailed overview of ActiveReportsJS Report Viewer Wrapper for Vue. You can check [Get Started](/activereportsjs/docs/v6.2/GettingStarted/QuickStart/QuickStart-Vue) tutorial for a concise guide for integrating this wrapper to a Vue application.

### ActiveReportsJS Vue NPM package

We distribute the library that contains the ActiveReportsJS Report Viewer Wrapper for Vue component via the [@mescius/activereportsjs-vue](https://www.npmjs.com/package/@mescius/activereportsjs-vue) npm package. The main [@mescius/activereportsjs](https://www.npmjs.com/package/@mescius/activereportsjs) package provides the core functionality. If you are using Vue 2.0 then ActiveReportsJS also requires [@vue/composition-api](https://composition-api.vuejs.org/) package to be installed.

### ActiveReportsJS Vue Viewer component

ActiveReportsJS Vue Viewer component can be imported from `@mescius/activereportsjs-vue` package and included in a parent component's template, for example:

```javascript
import Vue from "vue";
import { Viewer as ReportViewer } from "@mescius/activereportsjs-vue";
import "@mescius/activereportsjs/styles/ar-js-viewer.css";

new Vue({
  el: "#app",
  components: { "arjs-viewer": ReportViewer },
  template: "<div style='width:100%;height: 100vh'><arjs-viewer /></div>",
});
```

The viewer component accepts the following properties.

| Property | Type | Default Value | Description |
| -------- | ---- | ------------- | ----------- |
| availableExports | Array of strings |  | sets the list of exports that should be available in the viewer UI. See [Exports](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export#enable-report-viewer-export-sidebar-in-vue-applications) page for more information |
| mouseMode | 'Pan' \| 'Selection' | 'Pan' | sets the mouse mode of Viewer component. |
| renderMode | 'Galley' \| 'Paginated' | 'Paginated' | sets the render mode of Viewer component |
| viewMode | 'Continuous' \| 'SinglePage' | 'Continuous' | sets the view mode of Viewer component |
| zoom | 'FitWidth' \| 'FitPage' \| number | 100 | sets the zoom mode of Viewer component |
| fullscreen | boolean | false | indicates whether the Viewer component should display the content in Full-Screen mode |
| toolbarVisible | boolean | true | indicates whether the toolbar of Viewer component is visible or not |
| sidebarVisible | boolean | true | indicates whether the sidebar of Viewer component is visible or not |
| panelsLayout | 'sidebar' \| 'toolbar' | 'toolbar' | indicates the location of Search and Export functions within the UI of Viewer component |
| parameterPanelLocation | 'default' \| 'top' \| 'bottom' | 'default' | indicates the location of the Parameters bar within the UI of Viewer component |
| toolbarLayout | Object |  | sets the list of available toolbar items. See [Customization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization) page for more information |
| language | string |  | sets the language of the UI. See [Localization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Localization) page for more information |
| exportsSettings | object |  | sets the export settings. Check the [Export Settings](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export/Export-Settings) page for more information. |
| report | Object |  | sets the report to load in the Viewer component. |
| reportLoaded | (args: [ReportLoadEventArgs](https://developer.mescius.com/activereportsjs/api/modules/ReportViewer#reportloadeventargs))=>void |  | sets the handler for the event that occurs when a report is loaded but before rendering started |
| documentLoaded | (args: [DocumentLoadEventArgs](https://developer.mescius.com/activereportsjs/api/modules/ReportViewer#documentloadeventargs))=>void |  | sets the handler for the event that occurs when a report rendering is completed |
| errorHandler | ()=> void |  | sets the handler for the event that occurs if report rendering causes an error |
| showParametersOnOpen | 'auto'\|'always' | 'auto' | the `auto` value indicates that the `Parameters Panel` should open automatically upon report loading, even if the report's parameters have default values. |
| animations | AnimationSettings |  | Specifies the animation configuration | 
| themeConfig | UIThemeConfig |  | Specifies the theme configuration | 
| theme | ColorTheme or built-in theme ID |  | Specifies the active theme | 

You can bind these input properties to dynamic values to completely overwrite the viewer component's default UI, check [Customization page](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization) for more information.

Besides, the parent component can access [methods and properties of the Viewer Class instance](https://developer.mescius.com/activereportsjs/api/classes/ReportViewer.Viewer) class by creating the `ref` for a Viewer component and using its `Viewer` function, for example

```javascript
import Vue from "vue";
import { Viewer as ReportViewer } from "@mescius/activereportsjs-vue";
import "@mescius/activereportsjs/styles/ar-js-viewer.css";

new Vue({
  el: "#app",
  components: { "arjs-viewer": ReportViewer },
  template:
    "<div style='width:100%;height: 100vh'><arjs-viewer ref='reportViewer' /></div>",
  mounted: function () {
    this.$refs.reportViewer.Viewer().toggleFullScreen();
  },
});
```

### Related links

* [Live Demo](/activereportsjs/demos/features/viewer-integration/vue)
* [Customization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization)
* [Localization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Localization)
* [Print](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Print)
* [Export](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export)
* [Themes](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Themes)

# ActiveReportsJS Report Viewer Wrapper for Angular

Learn how to use ActiveReportsJS Report Viewer wrapper for Angular

## Content

This page provides a detailed overview of ActiveReportsJS Report Viewer Wrapper for Angular. You can check the [Get Started](/activereportsjs/docs/v6.2/GettingStarted/QuickStart/QuickStart-Angular) tutorial for a concise guide for integrating this wrapper into an Angular application.

### ActiveReportsJS Angular NPM package

We distribute the library that contains ActiveReportsJS Report Viewer Wrapper for Angular component via the [@mescius/activereportsjs-angular](https://www.npmjs.com/package/@mescius/activereportsjs-angular) npm package. The main [@mescius/activereportsjs](https://www.npmjs.com/package/@mescius/activereportsjs) package provides the core functionality.

### ActiveReportsJS Angular Module

ActiveReportsJS Report Viewer Wrapper for Angular resides in the `ActiveReportsModule` Angular module, so it should be imported to the application's root module or other module that is intended to use ActiveReportsJs Report Viewer, for example:

```javascript
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { ActiveReportsModule } from "@mescius/activereportsjs-angular";

import { AppComponent } from "./app.component";

@NgModule({
  declarations: [AppComponent],
  imports: [BrowserModule, ActiveReportsModule],
  providers: [],
  bootstrap: [AppComponent],
})
export class AppModule {}
```

### ActiveReportsJS Angular Viewer Component

The ActiveReportsJS Angular Viewer Component can be referenced in HTML with `gc-activereports-viewer` tag. You can use the following input properties of the Viewer Component to set its appearance.

| Property | Type | Default Value | Description |
| -------- | ---- | ------------- | ----------- |
| language | string |  | sets the language of ViewerComponent interface. Check [Localization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Localization) page for more information |
| panelsLocation | 'sidebar' \| 'toolbar' | 'sidebar' | sets the location of Search and Export UI |
| exportsSettings | Object |  | sets the export settings. Check the [Export Settings](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export/Export-Settings) page for more information |
| availableExports | Array of strings | [] | sets the list of export filters that should be available for a user. Check [ActiveReportJS Export Services section](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Integration/Angular-Component#activereportjs-export-services) for more information. |
| mouseMode | 'Pan' \| 'Selection' | Pan | sets the mouse mode of ViewerComponent. |
| renderMode | 'Galley' \| 'Paginated' | Paginated | sets the render mode of ViewerComponent |
| viewMode | 'Continuous' \| 'SinglePage' | Continuous | sets the mode of displaying a multi-page report |
| zoom | 'FitWidth' \| 'FitPage' \| number | 100 | sets the zoom level of displayed pages |
| fullscreen | boolean | false | ViewerComponent is displayed in FullScreen mode if this property is set to `true` |
| toolbarVisible | boolean | true | sets visibility of the toolbar of ViewerComponent |
| sidebarVisible | boolean | true | sets visibility of the sidebar of ViewerComponent |
| errorHandler | function | null | the callback that invoked if the error occurs in ViewerComponent |
| showParametersOnOpen | 'auto'\|'always' | 'auto' | the `auto` value indicates that the `Parameters Panel` should open automatically upon report loading, even if the report's parameters have default values. |
| animations | AnimationSettings |  | Specifies the animation configuration | 
| themeConfig | UIThemeConfig |  | Specifies the theme configuration | 
| theme | ColorTheme or built-in theme ID |  | Specifies the active theme | 

You can bind these input properties to dynamic values to completely overwrite the viewer component's default UI, check [Customization page](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization) for more information.
In addition, the ViewerComponent exposes the following output properties:

| Event | Parameters | Description |
| ----- | ---------- | ----------- |
| init |  | occurs when ViewerComponent is loaded |
| reportLoaded | [ReportLoadEventArgs](https://developer.mescius.com/activereportsjs/api/modules/ReportViewer#reportloadeventargs) | occurs when a report is loaded in the ViewerComponent before rendering is started |
| documentLoaded | [DocumentLoadEventArgs](https://developer.mescius.com/activereportsjs/api/modules/ReportViewer#documentloadeventargs) | occurs when a report rendering completes |

Finally, the parent component can access [methods and properties of the Viewer Class instance](https://developer.mescius.com/activereportsjs/api/classes/ReportViewer.Viewer) using `ViewChild` injection.

```javascript
@ViewChild(ViewerComponent, { static: false }) reportViewer: ViewerComponent;
```

### ActiveReportJS Export Services

ActiveReportJS Angular Module includes services that allow exporting a report to PDF, Tabular Data, or HTML format. You have to inject these services in the viewer's host component or its module or the application's root module. Here is an example of code that injects export services in the root module

```javascript
import {  AR_EXPORTS,  PdfExportService,  HtmlExportService,  TabularDataExportService} from "@mescius/activereportsjs-angular";
@NgModule({
  declarations: [AppComponent],
  imports: [BrowserModule, ActiveReportsModule],
  providers: [    {
    provide: AR_EXPORTS,
    useClass: PdfExportService,
    multi: true
  },
  {
    provide: AR_EXPORTS,
    useClass: HtmlExportService,
    multi: true
  },
  {
    provide: AR_EXPORTS,
    useClass: TabularDataExportService,
    multi: true
  }
],
  bootstrap: [AppComponent]
})
export class AppModule {}
```

Also, you can use `availableExports` input property of ViewerComponent to restrict the list of available exports. Perhaps for some reports, it's desirable to leave PDF export only in the user interface.

### Related Links

* [Live demo](/activereportsjs/demos/features/viewer-integration/angular)
* [Customization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization)
* [Localization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Localization)
* [Print](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Print)
* [Export](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export)
* [Themes](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Themes)

# ActiveReportsJS Report Viewer Wrapper for React

Learn how to use ActiveReportsJS Report Viewer wrapper for React

## Content

This page provides a detailed overview of ActiveReportsJS Report Viewer Wrapper for React. You can check [Get Started](/activereportsjs/docs/v6.2/GettingStarted/QuickStart/QuickStart-React) tutorial for a concise guide for integrating this wrapper to a React application.

### ActiveReportsJS React NPM package

We distribute the library that contains the ActiveReportsJS Report Viewer Wrapper for React component via the [@mescius/activereportsjs-react](https://www.npmjs.com/package/@mescius/activereportsjs-react) npm package. The main [@mescius/activereportsjs](https://www.npmjs.com/package/@mescius/activereportsjs) package provides the core functionality.

### ActiveReportsJS React Viewer component

ActiveReportsJS React Viewer component can be imported to a JSX(TSX) file and included in a component's rendering tree, for example:

```javascript
import { Viewer as ReportViewer } from "@mescius/activereportsjs-react";
function App() {
  return (
    <div>
      <ReportViewer />
    </div>
  );
}
```

The viewer component accepts the following properties.

| Property | Type | Default Value | Description |
| -------- | ---- | ------------- | ----------- |
| availableExports | Array of strings |  | sets the list of exports that should be available in the viewer UI. See [Exports](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export#enable-report-viewer-export-sidebar-in-react-applications) page for more information |
| mouseMode | 'Pan' \| 'Selection' | 'Pan' | sets the mouse mode of Viewer component. |
| renderMode | 'Galley' \| 'Paginated' | 'Paginated' | sets the render mode of Viewer component |
| viewMode | 'Continuous' \| 'SinglePage' | 'Continuous' | sets the view mode of Viewer component |
| zoom | 'FitWidth' \| 'FitPage' \| number | 100 | sets the zoom mode of Viewer component |
| fullscreen | boolean | false | indicates whether the Viewer component should display the content in Full-Screen mode |
| toolbarVisible | boolean | true | indicates whether the toolbar of Viewer component is visible or not |
| sidebarVisible | boolean | true | indicates whether the sidebar of Viewer component is visible or not |
| panelsLayout | 'sidebar' \| 'toolbar' | 'toolbar' | indicates the location of Search and Export functions within the UI of Viewer component |
| parameterPanelLocation | 'default' \| 'top' \| 'bottom' | 'default' | indicates the location of the Parameters bar within the UI of Viewer component |
| toolbarLayout | Object |  | sets the list of available toolbar items. See [Customization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization) page for more information |
| language | string |  | sets the language of the Viewer's UI. See [Localization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Localization) page for more information |
| exportsSettings | object |  | sets the export settings. Visit the [Export Settings](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export/Export-Settings) page for more information. |
| report | Object |  | sets the report to load in the Viewer component. See [Loading Report](/activereportsjs/docs/v6.2/) section for more information |
| reportLoaded | (args: [ReportLoadEventArgs](https://developer.mescius.com/activereportsjs/api/modules/ReportViewer#reportloadeventargs))=>void |  | sets the handler for the event that occurs when a report is loaded but before rendering started |
| documentLoaded | (args: [DocumentLoadEventArgs](https://developer.mescius.com/activereportsjs/api/modules/ReportViewer#documentloadeventargs))=>void |  | sets the handler for the event that occurs when a report rendering is completed |
| errorHandler | ()=> void |  | sets the handler for the event that occurs if report rendering causes an error |
| showParametersOnOpen | 'auto'\|'always' | 'auto' | the `auto` value indicates that the `Parameters Panel` should open automatically upon report loading, even if the report's parameters have default values. |
| animations | AnimationSettings |  | Specifies the animation configuration | 
| themeConfig | UIThemeConfig |  | Specifies the theme configuration | 
| theme | ColorTheme or built-in theme ID |  | Specifies the active theme | 

You can bind these input properties to dynamic values to completely overwrite the viewer component's default UI, check [Customization page](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization) for more information.
Furthermore, the parent component can access [methods and properties of the Viewer Class instance](https://developer.mescius.com/activereportsjs/api/classes/ReportViewer.Viewer) class by creating the `ref` for a Viewer component and using its `Viewer` property, for example

```javascript
import { Viewer as ReportViewer } from "@mescius/activereportsjs-react";
function App() {
  const viewerRef = React.createRef();
  const btnClick = function () {
    viewerRef.current.Viewer.toggleFullScreen();
  };
  return (
    <div id="viewer-host">
      <button type="button" onClick={btnClick}>
        Full Screen
      </button>
      <ReportViewer ref={viewerRef} />
    </div>
  );
}
```

### Related links

* [Live demo](/activereportsjs/demos/features/viewer-integration/react)
* [Loading reports](/activereportsjs/docs/v6.2/)
* [Customization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Customization)
* [Localization](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Localization)
* [Print](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Print)
* [Export](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Export)
* [Themes](/activereportsjs/docs/v6.2/DeveloperGuide/ActiveReportsJSViewer/Themes)